aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListGroupPolicies

Synopsis

- data ListGroupPolicies = ListGroupPolicies {
  - lgpGroupName :: Text
  - lgpMarker :: Maybe Text
  - lgpMaxItems :: Maybe Integer
  }
- data ListGroupPoliciesResponse = ListGroupPoliciesResponse {
  - lgprPolicyNames :: [Text]
  - lgprIsTruncated :: Bool
  - lgprMarker :: Maybe Text
  }

# Documentation

data ListGroupPolicies Source #

Lists the group policies associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListGroupPolicies.html

Constructors

ListGroupPolicies |

Fields

- lgpGroupName :: Text

  Policies associated with this group will be listed.

- lgpMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lgpMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListGroupPolicies Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ServiceConfiguration ListGroupPolicies |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration

Methods

signQuery :: ListGroupPolicies -> ServiceConfiguration ListGroupPolicies queryType -> SignatureData -> SignedQuery Source #

Show ListGroupPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods showsPrec :: Int -> ListGroupPolicies -> ShowS Source # show :: ListGroupPolicies -> String Source # showList :: [ListGroupPolicies] -> ShowS Source #
Eq ListGroupPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods (==) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source # (/=) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source #
Ord ListGroupPolicies Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Methods

compare :: ListGroupPolicies -> ListGroupPolicies -> Ordering Source #

(<) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source #

(<=) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source #

(>) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source #

(>=) :: ListGroupPolicies -> ListGroupPolicies -> Bool Source #

max :: ListGroupPolicies -> ListGroupPolicies -> ListGroupPolicies Source #

min :: ListGroupPolicies -> ListGroupPolicies -> ListGroupPolicies Source #

IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies Source #
ResponseConsumer ListGroupPolicies ListGroupPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ResponseMetadata ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroupPolicies -> IORef (ResponseMetadata ListGroupPoliciesResponse) -> HTTPResponseConsumer ListGroupPoliciesResponse Source #

Transaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
type ServiceConfiguration ListGroupPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration

data ListGroupPoliciesResponse Source #

Constructors

ListGroupPoliciesResponse |

Fields

- lgprPolicyNames :: [Text]

  List of policy names.

- lgprIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lgprMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListGroupPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type MemoryResponse ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse

Methods

loadToMemory :: ListGroupPoliciesResponse -> ResourceT IO (MemoryResponse ListGroupPoliciesResponse) Source #

Show ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods showsPrec :: Int -> ListGroupPoliciesResponse -> ShowS Source # show :: ListGroupPoliciesResponse -> String Source # showList :: [ListGroupPoliciesResponse] -> ShowS Source #
Eq ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods (==) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source # (/=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source #
Ord ListGroupPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Methods

compare :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Ordering Source #

(<) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source #

(<=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source #

(>) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source #

(>=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool Source #

max :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> ListGroupPoliciesResponse Source #

min :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> ListGroupPoliciesResponse Source #

IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies Source #
ResponseConsumer ListGroupPolicies ListGroupPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ResponseMetadata ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroupPolicies -> IORef (ResponseMetadata ListGroupPoliciesResponse) -> HTTPResponseConsumer ListGroupPoliciesResponse Source #

Transaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
type MemoryResponse ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse
type ResponseMetadata ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata